<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class InventorySupplier extends Model
{
    protected $table = 'inventory_suppliers';

    protected $fillable = ['name', 'contact'];

    public function inventoryProducts(): HasMany
    {
        return $this->hasMany(InventoryProduct::class, 'supplier_id');
    }
}
